Skip to content
Developer

NonWorkTimePlanSelectionType

Staff5 EndpointsTimeTracking / NonWorkTimePlanSelectionType

This method will get all NonWorkTimePlanSelectionType Objects

GET/api/time/non_work_time_plan_selection_type

Query parameters

idinteger
deletedbooleanThis property is used to mark an entity as deleted / archived | Default value: false
namestring
valuestring
prioritystring
isVacationboolean
isSickboolean
selectableForRequestbooleanWhether a new absence request may be created with this type. Types that only describe a day in an overview - holiday, school holiday, work day - are not offered in the editors.
statusChangeRequiresHrApprovalboolean
requiresManagementApprovalbooleanRequests of this type need a final written decision by the management (the organization leadership), appended after the regular approval chain (U10).
maxDaysPerRequeststringUpper limit of calendar days one request of this type may cover; null = unlimited.
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of NonWorkTimePlanSelectionType objectsarray<NonWorkTimePlanSelectionType>

Show fields (16)
  • effective_colorstring

    The colour to show: the configured one, else the default of the type.

  • idinteger

    Primary key of the absence type. Internal ID.

  • namestring

    Name of the absence type, for example vacation or sick leave.

  • valueinteger

    Numeric value of the absence type.

  • priorityinteger

    Priority of the absence type when several types overlap.

  • processed_content_typestring

    Content type used when the absence is processed.

  • secondary_content_type_optionsstring

    Options for the secondary content type, separated by a comma

  • iconstring

    Icon of the absence type.

  • is_vacationboolean

    The absence type counts as vacation.

  • is_sickboolean

    The absence type counts as sick leave.

  • status_change_requires_hr_approvalboolean

    Changing the status of this absence type requires HR approval.

  • selectable_for_requestboolean

    Whether a new absence request may be created with this type. Types that only describe a day in an overview - holiday, school holiday, work day - are not offered in the editors.

  • requires_management_approvalboolean

    Requests of this type need a final written decision by the management (the organization leadership), appended after the regular approval chain (U10).

  • max_days_per_requestinteger

    Upper limit of calendar days one request of this type may cover; null = unlimited.

  • colorstring

    R5: colour of this absence type in the shift plan and the team calendar ("#RRGGBB"); null = the default of the type (getEffectiveColor). Used with absence_type_colors_enabled.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/time/non_work_time_plan_selection_type \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "effective_color": "#3f5efb",
    "id": 42,
    "name": "Beispiel",
    "color": "#3f5efb",
    "value": 1,
    "priority": 1,
    "processed_content_type": "string",
    "secondary_content_type_options": "string",
    "icon": "string",
    "is_vacation": true
  }
]

Add a new NonWorkTimePlanSelectionType

POST/api/time/non_work_time_plan_selection_type

Request body application/json

  • dataNonWorkTimePlanSelectionType2
    Show fields (1)
    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Add a new NonWorkTimePlanSelectionTypeNonWorkTimePlanSelectionType

Show fields (16)
  • effective_colorstring

    The colour to show: the configured one, else the default of the type.

  • idinteger

    Primary key of the absence type. Internal ID.

  • namestring

    Name of the absence type, for example vacation or sick leave.

  • valueinteger

    Numeric value of the absence type.

  • priorityinteger

    Priority of the absence type when several types overlap.

  • processed_content_typestring

    Content type used when the absence is processed.

  • secondary_content_type_optionsstring

    Options for the secondary content type, separated by a comma

  • iconstring

    Icon of the absence type.

  • is_vacationboolean

    The absence type counts as vacation.

  • is_sickboolean

    The absence type counts as sick leave.

  • status_change_requires_hr_approvalboolean

    Changing the status of this absence type requires HR approval.

  • selectable_for_requestboolean

    Whether a new absence request may be created with this type. Types that only describe a day in an overview - holiday, school holiday, work day - are not offered in the editors.

  • requires_management_approvalboolean

    Requests of this type need a final written decision by the management (the organization leadership), appended after the regular approval chain (U10).

  • max_days_per_requestinteger

    Upper limit of calendar days one request of this type may cover; null = unlimited.

  • colorstring

    R5: colour of this absence type in the shift plan and the team calendar ("#RRGGBB"); null = the default of the type (getEffectiveColor). Used with absence_type_colors_enabled.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/time/non_work_time_plan_selection_type \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "deleted": true
  }
}
'
Response 200 application/json
{
  "effective_color": "#3f5efb",
  "id": 42,
  "name": "Beispiel",
  "color": "#3f5efb",
  "value": 1,
  "priority": 1,
  "processed_content_type": "string",
  "secondary_content_type_options": "string",
  "icon": "string",
  "is_vacation": true
}

This method will get a single NonWorkTimePlanSelectionType with the given id

GET/api/time/non_work_time_plan_selection_type/{id}

Path parameters

idrequiredstring

Responses

200Returns a single NonWorkTimePlanSelectionTypeNonWorkTimePlanSelectionType

Show fields (16)
  • effective_colorstring

    The colour to show: the configured one, else the default of the type.

  • idinteger

    Primary key of the absence type. Internal ID.

  • namestring

    Name of the absence type, for example vacation or sick leave.

  • valueinteger

    Numeric value of the absence type.

  • priorityinteger

    Priority of the absence type when several types overlap.

  • processed_content_typestring

    Content type used when the absence is processed.

  • secondary_content_type_optionsstring

    Options for the secondary content type, separated by a comma

  • iconstring

    Icon of the absence type.

  • is_vacationboolean

    The absence type counts as vacation.

  • is_sickboolean

    The absence type counts as sick leave.

  • status_change_requires_hr_approvalboolean

    Changing the status of this absence type requires HR approval.

  • selectable_for_requestboolean

    Whether a new absence request may be created with this type. Types that only describe a day in an overview - holiday, school holiday, work day - are not offered in the editors.

  • requires_management_approvalboolean

    Requests of this type need a final written decision by the management (the organization leadership), appended after the regular approval chain (U10).

  • max_days_per_requestinteger

    Upper limit of calendar days one request of this type may cover; null = unlimited.

  • colorstring

    R5: colour of this absence type in the shift plan and the team calendar ("#RRGGBB"); null = the default of the type (getEffectiveColor). Used with absence_type_colors_enabled.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/time/non_work_time_plan_selection_type/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "effective_color": "#3f5efb",
  "id": 42,
  "name": "Beispiel",
  "color": "#3f5efb",
  "value": 1,
  "priority": 1,
  "processed_content_type": "string",
  "secondary_content_type_options": "string",
  "icon": "string",
  "is_vacation": true
}

Update a NonWorkTimePlanSelectionType

PUT/api/time/non_work_time_plan_selection_type/{id}

Path parameters

idrequiredstring

Request body application/json

  • dataNonWorkTimePlanSelectionType2
    Show fields (1)
    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update a NonWorkTimePlanSelectionTypeNonWorkTimePlanSelectionType

Show fields (16)
  • effective_colorstring

    The colour to show: the configured one, else the default of the type.

  • idinteger

    Primary key of the absence type. Internal ID.

  • namestring

    Name of the absence type, for example vacation or sick leave.

  • valueinteger

    Numeric value of the absence type.

  • priorityinteger

    Priority of the absence type when several types overlap.

  • processed_content_typestring

    Content type used when the absence is processed.

  • secondary_content_type_optionsstring

    Options for the secondary content type, separated by a comma

  • iconstring

    Icon of the absence type.

  • is_vacationboolean

    The absence type counts as vacation.

  • is_sickboolean

    The absence type counts as sick leave.

  • status_change_requires_hr_approvalboolean

    Changing the status of this absence type requires HR approval.

  • selectable_for_requestboolean

    Whether a new absence request may be created with this type. Types that only describe a day in an overview - holiday, school holiday, work day - are not offered in the editors.

  • requires_management_approvalboolean

    Requests of this type need a final written decision by the management (the organization leadership), appended after the regular approval chain (U10).

  • max_days_per_requestinteger

    Upper limit of calendar days one request of this type may cover; null = unlimited.

  • colorstring

    R5: colour of this absence type in the shift plan and the team calendar ("#RRGGBB"); null = the default of the type (getEffectiveColor). Used with absence_type_colors_enabled.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/time/non_work_time_plan_selection_type/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "deleted": true
  }
}
'
Response 200 application/json
{
  "effective_color": "#3f5efb",
  "id": 42,
  "name": "Beispiel",
  "color": "#3f5efb",
  "value": 1,
  "priority": 1,
  "processed_content_type": "string",
  "secondary_content_type_options": "string",
  "icon": "string",
  "is_vacation": true
}

Update a NonWorkTimePlanSelectionType

PATCH/api/time/non_work_time_plan_selection_type/{id}

Path parameters

idrequiredstring

Request body application/json

  • dataNonWorkTimePlanSelectionType2
    Show fields (1)
    • deletedboolean

      This property is used to mark an entity as deleted / archived

Responses

200Update a NonWorkTimePlanSelectionTypeNonWorkTimePlanSelectionType

Show fields (16)
  • effective_colorstring

    The colour to show: the configured one, else the default of the type.

  • idinteger

    Primary key of the absence type. Internal ID.

  • namestring

    Name of the absence type, for example vacation or sick leave.

  • valueinteger

    Numeric value of the absence type.

  • priorityinteger

    Priority of the absence type when several types overlap.

  • processed_content_typestring

    Content type used when the absence is processed.

  • secondary_content_type_optionsstring

    Options for the secondary content type, separated by a comma

  • iconstring

    Icon of the absence type.

  • is_vacationboolean

    The absence type counts as vacation.

  • is_sickboolean

    The absence type counts as sick leave.

  • status_change_requires_hr_approvalboolean

    Changing the status of this absence type requires HR approval.

  • selectable_for_requestboolean

    Whether a new absence request may be created with this type. Types that only describe a day in an overview - holiday, school holiday, work day - are not offered in the editors.

  • requires_management_approvalboolean

    Requests of this type need a final written decision by the management (the organization leadership), appended after the regular approval chain (U10).

  • max_days_per_requestinteger

    Upper limit of calendar days one request of this type may cover; null = unlimited.

  • colorstring

    R5: colour of this absence type in the shift plan and the team calendar ("#RRGGBB"); null = the default of the type (getEffectiveColor). Used with absence_type_colors_enabled.

  • deletedboolean

    This property is used to mark an entity as deleted / archived

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/time/non_work_time_plan_selection_type/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "deleted": true
  }
}
'
Response 200 application/json
{
  "effective_color": "#3f5efb",
  "id": 42,
  "name": "Beispiel",
  "color": "#3f5efb",
  "value": 1,
  "priority": 1,
  "processed_content_type": "string",
  "secondary_content_type_options": "string",
  "icon": "string",
  "is_vacation": true
}